MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Get Latest VersionGet Version DiffGet VersionList VersionsPublish VersionRename Version LabelRevert Version
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceAgent Configuration (Versions)

Rename Version Label

PATCH
/v1/agents/{agent_id}/versions/{version}

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid
version*Version

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0" \  -H "Content-Type: application/json" \  -d '{    "label": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "version": 0,  "schema_version": 0,  "snapshot": {},  "source": "string",  "label": "string",  "published_by": "9ac9eee7-2153-423d-b22d-04e12679154a",  "published_at": "2019-08-24T14:15:22Z"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Publish Version

Previous Page

Revert Version

Next Page

label*string|null